import pytest

from b_labs_models import SentenceSegmentator


@pytest.fixture
def segmentator():
    return SentenceSegmentator()


def test_segmentation(segmentator):
    text = '''
    Разница цепей Маркова от сетей Маркова заключается в том, что первые генеративны (т.е. предсказывают вероятность следующего шага), а вторые — дискриминатины, т.е. рассчитывают вероятность текущего состояния.
    Использовать тот или иной алгоритм зависит от решаемой задачи. А второе, и наиболее важное отличие — это то, что сети Маркова учитывают не только шаг (два и т.д.) вправо-влево по какому-либо из параметров, а по пучку взаимосвязанных параметров.
    Скажем, для перевода это не только все его варианты, а и тематический контекст перевода, синтаксис и пр.
    '''
    sentences = list(segmentator.split(text))
    assert sentences == [
        'Разница цепей Маркова от сетей Маркова заключается в том, что первые генеративны (т.е. предсказывают вероятность следующего шага), а вторые — дискриминатины, т.е. рассчитывают вероятность текущего состояния.',
        'Использовать тот или иной алгоритм зависит от решаемой задачи.',
        'А второе, и наиболее важное отличие — это то, что сети Маркова учитывают не только шаг (два и т.д.) вправо-влево по какому-либо из параметров, а по пучку взаимосвязанных параметров.',
        'Скажем, для перевода это не только все его варианты, а и тематический контекст перевода, синтаксис и пр.',
    ]
